{% extends "base.html" %}
{% import '_forms.html' as forms %}
{% block header %}
<link rel="stylesheet" type="text/css" href="assets/css/main.css">
{% endblock %}
{% block content %}
<div class="tile is-parent">
  <article class="tile box is-child ">
    <h2 class="title is-2">{{ strings.groups }}</h2>
      <form method="POST">
          {{ forms.input_text('group_name', strings.group_name) }}
        {{ forms.button(strings.add) }}
        {% if add_msg %}<p>{{ add_msg }}</p>{% endif %}
      </form>
  </article>
</div>

{% for group in groups %}
<div class="tile is-parent">
  <article class="tile box is-child is-collapsible" id="group-{{ group.name }}">
    <h2 class="title is-2 collapse {% if group_opened == group.name %} start-opened {% endif %}">{{ group.name }}</h2>
      <div class="content" style="display: none">

          <div class="user_list">
            {% for user in group.users %}
            <span class="tag is-info" data-cn="{{ user.cn }}">
              {{ user.displayName }}
                <form method="post">
                    <input type="hidden" name="delete_user_group" value="{{ group.name }}">
                    <input type="hidden" name="delete_user" value="{{ user.uid }}">
                    <button class="delete is-small tag-delete"></button>
                </form>
            </span>
            {% endfor %}
          </div>

          <div class="is-pulled-right">
              <form method="POST" class="add-user-to-group">
                  <input type="hidden" name="group" value="{{ group.name }}">
                  <div class="is-pulled-left">{{ forms.input_select('user', group.available_users) }}</div>
                  <span class="group-form-spacer"></span>
                  <div class="is-pulled-right">{{ forms.button(strings.add) }}</div>
              </form>
          </div>
          <div class="is-pulled-left">
              <button class="button is-danger is-rounded modal-button" data-target="modal-delete-{{loop.index}}">{{ strings.delete_group }}</button>
              <div class="modal" id="modal-delete-{{loop.index}}">
                  <div class="modal-background"></div>
                  <div class="modal-card">
                      <header class="modal-card-head">
                          <p class="modal-card-title">{{ strings.delete_group }}</p>
                      </header>
                      <section class="modal-card-body">
                          {{ strings.confirm_group_delete.format(group.name) }}
                      </section>
                      <footer class="modal-card-foot">
                          <form method="post" class="margin-right-10px">
                              <input type="hidden" name="delete_group" value="{{ group.name }}">
                              <input type="submit" class="button is-danger" value="{{ strings.yes }}">
                          </form>
                          <p class="button close-modal" type="button">{{ strings.no }}</p>
                      </footer>
                  </div>
              </div>
          </div>
      </div>
  </article>
</div>
{% endfor %}
<!--<script src="assets/js/groups.js"></script>-->
<script src="assets/js/app.js">

</script>
{% endblock %}
